Skip to content

List organization notification delivery history

GET
/api/notifications/history
curl --request GET \
--url 'https://api.getvespy.com/api/notifications/history?recipientType=user&channel=in_app' \
--header 'Authorization: Bearer <token>'
search
string
>= 1 characters <= 100 characters
recipientType
string
Allowed values: user tenant
recipientId
string format: uuid
channel
string
Allowed values: in_app email sms push
limit
integer
>= 1 <= 100
offset
integer

Default Response

Media typeapplication/json
object
items
required
Array<object>
object
actorUser
required
object
fullName
required
string
>= 1 characters <= 160 characters
id
required
string format: uuid
actorUserId
required
string format: uuid
nullable
body
required
string
nullable
channels
required
Array<string>
>= 1 items
Allowed values: in_app email sms push
createdAt
required
string format: date-time
deliveries
required
Array<object>
>= 1 items
object
channel
required
string
Allowed values: in_app email sms push
deliveredAt
required
string format: date-time
nullable
deliveryMode
required
string
nullable
Allowed values: immediate daily_digest
destination
required
string
nullable
sentAt
required
string format: date-time
nullable
state
required
string
Allowed values: delivered queued pending dispatched failed
entityId
required
string format: uuid
nullable
entityType
required
string
nullable
id
required
string format: uuid
priority
required
string
Allowed values: low normal high urgent
recipient
required
object
email
required
string format: email
nullable
fullName
required
string
nullable >= 1 characters <= 160 characters
phone
required
string
nullable
recipientId
required
string format: uuid
recipientType
required
string
Allowed values: user tenant
role
required
string
nullable
Allowed values: admin manager staff tenant owner vendor
tenantId
required
string format: uuid
nullable
userId
required
string format: uuid
nullable
source
required
string
Allowed values: notification blast_recipient
title
required
string
>= 1 characters
type
required
string
>= 1 characters
total
required
integer
Example
{
"items": [
{
"channels": [
"in_app"
],
"deliveries": [
{
"channel": "in_app",
"deliveryMode": "immediate",
"state": "delivered"
}
],
"priority": "low",
"recipient": {
"recipientType": "user",
"role": "admin"
},
"source": "notification"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}